<template>
    <div class="scoreTab">
        <el-table :data="advconTab1" stripe style="width: 100%">
        <el-table-column prop="name"></el-table-column>
        <el-table-column
            prop="name"
            label="本人评分">
            <template slot-scope="scope">
                <el-radio v-model="scope.row.iScore" :disabled="scope.row.forbidden" label="1">{{""}}</el-radio>
            </template>
        </el-table-column>
        <el-table-column
            prop="address"
            label="所有评分">
            <template slot-scope="scope">
                <el-radio v-model="scope.row.iScore" :disabled="scope.row.forbidden" label="2">{{""}}</el-radio>
            </template>
        </el-table-column>
        </el-table>
    </div>
</template>

<script>
export default {
  data() {
    return {
        dswScore_details1:false,//评分详情---对被考核人可不可见

        advconTab1:[
          {name:'被考核人',iScore:'1',forbidden:false},
          {name:'上级评分',iScore:'2',forbidden:false},
          {name:'指定评分人',iScore:'1',forbidden:false},
          {name:'互评(同级、下级)',iScore:'1',forbidden:false},
          {name:'审批人',iScore:'2',forbidden:true},
        ],
    };
  },
  components:{},
  watch: {
    dswScore_details1(val){
      if(val){
        this.advconTab1[0].iScore = '2'
      }else{
        this.advconTab1[0].iScore = '1'
      }
    },
    'advconTab1':{//监听advconTab1
      handler(objval,oldval){
        if(objval[0].iScore=='1'){
          this.dswScore_details1 = false
        }else{
          this.dswScore_details1 = true
        }
      },
      deep:true//深度监听
    },
  },
  created() {},
  mounted() {},
  methods: {
  }
};
</script>

<style scoped="scoped">
.scoreTab ::v-deep .el-table th{
  background-color: #f5f5f5;
  font-size: 13px;
  padding: 0;
}
.scoreTab ::v-deep .el-table .el-table__row .cell{
  font-size: 12px;
}
</style>
